Index: t/03operator.t
===================================================================
--- t/03operator.t	(revision 555)
+++ t/03operator.t	(working copy)
@@ -78,7 +78,7 @@
 ok( all(@newval2) > any(@oldval), "all test array against any array" );
 ok( all(@newval1) > all(@oldval), "all test array against all array" );
 
-ok(42 < 12 & 20 & 32, "test the all infix operator");
+todo_ok(42 < 12 & 20 & 32, "test the all infix operator");
 
 
 # Hyper ops
Index: t/06sub.t
===================================================================
--- t/06sub.t	(revision 555)
+++ t/06sub.t	(working copy)
@@ -30,7 +30,7 @@
 sub twice { $_ * 2 }
 ok(twice(5) == 10);
 #if (&twice(5 - 3) == 4) { say "ok 4" } else { say "not ok 4" }
-todo_ok(eval 'twice(5 - 3) == 4');
+ok(eval 'twice(5 - 3) == 4');
 
 my $_;
 
Index: t/01basic.t
===================================================================
--- t/01basic.t	(revision 555)
+++ t/01basic.t	(working copy)
@@ -47,5 +47,5 @@
 print "# ok ";
 if (eval '12.print') { print "\n"; pass() } else { print "\n"; todo_fail("12.print"); }
 
-todo_ok(eval 'say(1 ?? "# ok 14" :: "# Bail out!")');
+ok(eval 'say(1 ?? "# ok 14" :: "# Bail out!")');
 
Index: t/base/subs.t
===================================================================
--- t/base/subs.t	(revision 0)
+++ t/base/subs.t	(revision 0)
@@ -0,0 +1,37 @@
+#!/usr/bin/pugs
+
+use v6;
+require Test;
+
+plan 11;
+
+sub foo_scalar {
+    my $foo = 'foo';
+    return $foo;
+}
+is(foo_scalar(), 'foo', 'got the right return value');
+
+sub foo_array {
+    my @foo = ('foo', 'bar', 'baz');
+    return @foo;
+}
+my @foo_array_return = foo_array();
+is(ref(@foo_array_return), 'Array', 'got an array back');
+is(+@foo_array_return, 3, 'got the right number of return value');
+is(@foo_array_return[0], 'foo', 'got the right return value');
+is(@foo_array_return[1], 'bar', 'got the right return value');
+is(@foo_array_return[2], 'baz', 'got the right return value');
+
+
+# this test should be returning the list ref, but it is not
+
+sub foo_array_ref {
+    my $foo = ['foo', 'bar', 'baz'];
+    return $foo;
+}
+my $foo_array_ref_return = foo_array();
+todo_is(ref($foo_array_ref_return), 'List', 'got an List back');
+todo_is(+$foo_array_ref_return, 3, 'got the right number of return value');
+todo_is($foo_array_ref_return[0], 'foo', 'got the right return value');
+todo_is($foo_array_ref_return[1], 'bar', 'got the right return value');
+todo_is($foo_array_ref_return[2], 'baz', 'got the right return value');
\ No newline at end of file
